Insert BOM Table Example (VB.NET) - SolidWorks Web Help
文章推薦指數: 80 %
Inserts a BOM at the anchor point, if the ' drawing view does not already contain a BOM. ' 2. Examine the drawing and FeatureManager design tree.
About
LearningResources
My.SolidWorks
SubscriptionServices
>
InsertBOMTableExample(VB.NET)
SOLIDWORKSAPIHelp
Otherversions:
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
2023
|
Print
| Feedbackonthistopic
Welcome
GettingStarted
SOLIDWORKSAPIHelp
SOLIDWORKSElectricalAPIHelp
SOLIDWORKSPDMProfessionalAPIHelp
FeatureWorksAPIHelp
SOLIDWORKSCostingAPIHelp
SOLIDWORKSDocumentManagerAPIHelp
SOLIDWORKSRoutingAPIHelp
SOLIDWORKSSimulationAPIHelp
SOLIDWORKSSustainabilityAPIHelp
SOLIDWORKSToolboxAPIHelp
SOLIDWORKSUtilitiesAPIHelp
eDrawingsAPIHelp
DraftSightAPIHelp
LispProgrammingBasics
LispFunctionsOverview
LispFunctionsReference
VisualLispCompatibleFunctions
InsertBOMTableExample(VB.NET)
ThisexampleshowshowtoinsertaBOMtableusingIView::InsertBomTable2.
'-----------------------------------------------------
' Preconditions: Open a drawing document and select
' a drawing view.
'
' Postconditions:
' 1. Inserts a BOM at the anchor point, if the
' drawing view does not already contain a BOM.
' 2. Examine the drawing and FeatureManager design tree.
'-----------------------------------------------------
Imports SolidWorks.Interop.sldworks
Imports SolidWorks.Interop.swconst
Imports System.Runtime.InteropServices
Imports System
Partial Class SolidWorksMacro
Public Sub main()
Dim swModel As ModelDoc2
Dim swSelMgr As SelectionMgr
Dim swFeatMgr As FeatureManager
Dim swView As View
Dim swBomAnn As BomTableAnnotation
Dim swBomFeat As BomFeature
Dim AnchorType As Integer
Dim BomType As Integer
Dim Configuration As String
Dim TableTemplate As String
Dim Names As Object
Dim Visible As Object = Nothing
Dim boolstatus As Boolean
swModel = swApp.ActiveDoc
swSelMgr = swModel.SelectionManager
swFeatMgr = swModel.FeatureManager
' Get selected drawing view
swView = swSelMgr.GetSelectedObject6(1, 0)
AnchorType = swBOMConfigurationAnchorType_e.swBOMConfigurationAnchor_BottomLeft
BomType = swBomType_e.swBomType_TopLevelOnly
Configuration = ""
TableTemplate = ""
' Insert BOM table
swBomAnn = swView.InsertBomTable2(True, 0.4, 0.3, AnchorType, BomType, Configuration, TableTemplate)
swModel.ClearSelection2(True)
' Because BOM type is swBomType_TopLevelOnly,
' then work with BomFeature to get and set configurations
swBomFeat = swBomAnn.BomFeature
Names = swBomFeat.GetConfigurations(False, Visible)
Visible(0) = True
boolstatus = swBomFeat.SetConfigurations(True, Visible, Names)
' Update FeatureManager design tree
swFeatMgr.UpdateFeatureTree()
End Sub
'''
延伸文章資訊
- 1Insert and Show BOM Table in Assembly Example (C#) - 2021
This example shows how to insert and show a BOM table in an assembly document. ... Inserts a spli...
- 2Adding BOM to UTF-8 files - Stack Overflow
The easiest way I found for this is #!/usr/bin/env bash #Add BOM to the new file printf '\xEF\xBB...
- 3Draw a BOM table - PTC Support Portal
The Draw BOM dialog box allows you to add the current BOM information to your drawing. The inform...
- 4How to Add Byte-Order-Mark BOM Codes to a STMF ... - IBM
CPYTOIMPF does not add BOM codes to a UTF-8 streamfile to clearly identify it as a UTF-8 file on ...
- 5Insert BOM - Onshape
Insert BOM tool icon Insert BOM ... This functionality is currently available only on browser. .....